(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.achAttachJs = {
    attach: function (context, settings) {
      $('body').once('ach-attach-js').each(function() {
        Drupal.behaviors.achAttachJs.addLiftEventListeners();
      });
    },
    addLiftEventListeners: function() {
      /**
       * Docs for Lift events at https://docs.acquia.com/lift/javascript/events
       */
      window.addEventListener('acquiaLiftContentAvailable', function(e) {
        var $slot = $('[data-lift-slot="' + e.detail.decision_slot_id + '"]');
        Drupal.attachBehaviors($slot[0], drupalSettings);
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
